Bug 238252 - net/asterisk-chan_sccp: will break with update to new asterisk
Summary: net/asterisk-chan_sccp: will break with update to new asterisk
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL: https://reviews.freebsd.org/D21485
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-30 23:00 UTC by Guido Falsi
Modified: 2019-09-01 14:39 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ddegroot)


Attachments
patch (2.78 KB, patch)
2019-05-30 23:00 UTC, Guido Falsi
no flags Details | Diff
Update to 4.3.2_delta (5.83 KB, patch)
2019-06-16 00:51 UTC, Diederik de Groot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2019-05-30 23:00:34 UTC
Created attachment 204728 [details]
patch

Hi,

I'm going to update the asterisk13 and asterisk16 ports.

These new versions made changes to an include file used by your port.

Some defines have been moved from app.h to a new mwi.h file.

Upstream repo has a commit addressing this [1]

Attaching a patch importing that patch.

This is an informative PR since I can commit this with "fixit" blanket approval.

I'm still doping final testing of the asterisk update though.

Thanks!


[1] https://github.com/chan-sccp/chan-sccp/commit/9684efb7709c1be23c99f555f61b5a3ad15b0675
Comment 1 Diederik de Groot 2019-05-30 23:17:01 UTC
It would be better to just update the chan-sccp version/revision number, instead of fixing the source. Newer versions of chan-sccp already have this fixed/patched.
Comment 2 Diederik de Groot 2019-05-30 23:21:27 UTC
I will create new v4.3.2-delta tag this week, so that we only have to update the 
GH_TAGNAME, all the rest is already include.
Thanks for bringing this to my attention.
Comment 3 Guido Falsi freebsd_committer 2019-05-30 23:24:49 UTC
(In reply to Diederik de Groot from comment #2)
> I will create new v4.3.2-delta tag this week, so that we only have to update
> the 
> GH_TAGNAME, all the rest is already include.
> Thanks for bringing this to my attention.

Great! Thanks!

I'll commit anyway the source patch with the asterisk update, to avoid breaking the port.

Once you have the new tag please CC me with your bug report so i can take it and perform the update.
Comment 4 Diederik de Groot 2019-05-30 23:26:29 UTC
@Guido Falsi
I will do that. Thanks a lot.
Comment 5 Guido Falsi freebsd_committer 2019-05-30 23:30:29 UTC
(In reply to Diederik de Groot from comment #4)
> @Guido Falsi
> I will do that. Thanks a lot.

BTW

It would be a good idea to move from options to flavors to support more asterisk versions, so that packages will be built for all asterisk versions.

You can use the other asterisk channel drivers as reference, for example net/asterisk-g72x.

Such a change will require explicit portmgr approval, but I think it would be worth the wait.
Comment 6 Diederik de Groot 2019-05-30 23:34:04 UTC
I will look into flavors, thanks for the reference.
Comment 7 commit-hook freebsd_committer 2019-05-31 07:45:52 UTC
A commit references this bug:

Author: madpilot
Date: Fri May 31 07:44:49 UTC 2019
New revision: 503120
URL: https://svnweb.freebsd.org/changeset/ports/503120

Log:
  Fix build after asterisk13 and asterisk16 update.

  PR:		238252
  Approved by:	blanket
  Obtained from:	https://github.com/chan-sccp/chan-sccp/commit/9684efb7709c1be23c99f555f61b5a3ad15b0675

Changes:
  head/net/asterisk-chan_sccp/files/
  head/net/asterisk-chan_sccp/files/patch-fix-new-asterisk-include
Comment 8 Diederik de Groot 2019-06-16 00:51:24 UTC
Created attachment 205094 [details]
Update to 4.3.2_delta

Update version to 4.3.2_delta
Use Flavors instead of options to choose the asterisk version
Comment 9 Diederik de Groot 2019-06-16 00:52:40 UTC
@Guido: Not sure if you wanted me to upload the new patch here, or open a new bugreport. So please let me know.
Comment 10 Guido Falsi freebsd_committer 2019-09-01 08:33:30 UTC
(In reply to Diederik de Groot from comment #9)

For some reason I did not notice or forgot this bug report. Sorry for the mistake.

I'll have a look at this in the next few days.
Comment 11 Guido Falsi freebsd_committer 2019-09-01 14:39:52 UTC
adding flavors requires portmgr approval, so I filed a code review:

https://reviews.freebsd.org/D21485